Update a specific attribute - Fabric

Update a specific attribute

cURL

curl --request PUT \
  --url https://live.copilot.fabric.inc/api-offers/attributes/{attributeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\
{
  "name": "Brand",
  "values": [\
    "CHS",\
    "SOMA",\
    "WHBM"\
  ]
}\
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}"

payload = {
    "name": "Brand",
    "values": ["CHS", "SOMA", "WHBM"]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({name: 'Brand', values: ['CHS', 'SOMA', 'WHBM']})
};

fetch('https://live.copilot.fabric.inc/api-offers/attributes/{attributeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Status Codes

Example Response

{
  "_id": "614b58924e92f6861ac9d43b",
  "attributeId": 100002,
  "name": "Brand",
  "values": [
    "CHS",
    "SOMA",
    "WHBM"
  ],
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}

Error Responses

{
  "code": "ATTRIBUTE_NAME_EXISTS",
  "message": "The attribute name already exists."
}
{
  "code": "ATTRIBUTE_NOT_FOUND",
  "message": "No attribute found with this ID."
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorizations